import sys
import logging
from unittest.mock import Mock
from progressbar import ProgressBar, Bar, SimpleProgress, ETA, Percentage, RotatingMarker
logger = logging.getLogger('albacore')


def get_progress_bar(debug, num_files):
    if debug or not sys.stdout.isatty() or num_files == 0:
        pbar = Mock()
    else:
        bar_format = [RotatingMarker(), " ", SimpleProgress(), Bar(), Percentage(), " ", ETA()]
        pbar = ProgressBar(maxval=num_files, widgets=bar_format).start()
    return pbar
